dpp::activity_secrets
presence.h
std::string std::string dpp::activity_secrets::join join dpp::activity_secrets::join

The secret for joining a party.

std::string std::string dpp::activity_secrets::match match dpp::activity_secrets::match

The secret for a specific instanced match.

std::string std::string dpp::activity_secrets::spectate spectate dpp::activity_secrets::spectate

The secret for spectating a game.

dpp::activity_secrets::activity_secrets
()=default
activity_secrets
dpp::activity_secrets::activity_secrets

Constructor

Secrets for Rich Presence joining and spectating.

dpp::activity_secrets
join
match
spectate
std::basic_string< Char >
std::string
- dpp::activity_secrets
  activity_secrets
- dpp::activity_secrets
  join
- dpp::activity_secrets
  match
- dpp::activity_secrets
  spectate